<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <link href="https://cdn.rawgit.com/TeaMeow/TocasUI/2.3.2/dist/tocas.css" rel='stylesheet'>
    <script src="https://cdn.rawgit.com/TeaMeow/TocasUI/2.3.2/dist/tocas.js"></script>
    <title>DKLMEAA</title>
    <style type="text/css">
        body {
            padding: 70px 0;
        }
    </style>
</head>
<body>
    <!-- 頂部固定選單 -->
    <div class="ts top fixed inverted borderless large menu">
        <div class="ts narrow container">
            <div class="header item">Open new</div>
			<div onclick="ts('#modal').modal('show')" class="header item">Merge item</div>
			<div onclick="saveall()" class="header item">Save</div>
        </div>
    </div>
    <div class="ts narrow container relaxed grid">
        <div class="sixteen wide column">
            <br><br>
			<div class="ts grid">
				<?php 
				$data = json_decode(file_get_contents("files/".$_GET["file"]),true);
				$keyArr = [];
				$template = '<div class="sixteen wide column"><div class="ts grid"><div class="five wide column">%key%</div><div class="five wide column">%orig_lang%</div><div class="six wide column"><div class="ts fluid input"><input type="text" value="%orig_lang%" id="%key%"></div></div></div></div>';
				foreach($data["keys"] as $key=>$value){
					$replaced = $template;
					$replaced = str_replace("%key%",$key,$replaced);
					$replaced = str_replace("%orig_lang%",$value,$replaced);
					echo $replaced;
					array_push($keyArr,$key);
				}
				?>			
			</div>
        </div>
    </div>
	
	<div class="ts modals dimmer">
    <dialog id="modal" class="ts modal" open>
        <i class="close icon"></i>
        <div class="ts icon header">
           Merge new json
        </div>
        <div class="content">
			<div class="ts fluid input">
				<textarea id="newjson" rows="20" placeholder="Paste json here"></textarea>
			</div>
        </div>
        <div class="actions">
            <button onclick="merge()" class="ts inverted basic positive button">
                Quit and Save
            </button>
        </div>
    </dialog>
</div>
</body>
<script src="../script/jquery.min.js"></script>
<script>
var curfilname = "<?php echo $_GET["file"];?>";
var keyArr = JSON.parse('<?php echo json_encode($keyArr);?>');
var cannedword =  {
  "ArOZ Online System": "ArOZ 在線作業系統",
  "UM-Filename": "兼容編碼",
  "File explorer": "ArOZβ 檔案管理員",
  "Size": "大小",
  "Path": "路徑",
  "Close": "關閉",
  "Copy": "複製",
  "Paste": "貼上",
  "Cut": "剪下",
  "Delete": "刪除",
  "Confirm": "確定",
  "Cancel": "取消",
  "Refresh": "重新載入",
  "File": "檔案",
  "Folder": "資料夾",
  "WebApp": "模組",
  "Save": "儲存",
  "Web Desktop Mode": "網頁桌面模式",
  "Extend Desktop": "擴展桌面",
  "Logout": "登出",
  "Rename": "重新命名"
  
};

$("input").each(function() {
	var inp = $(this);
	console.log(inp.val());
	$.each(cannedword, function(values, key) {
		var currText = inp.val();
		if(inp.val().includes(" ")){
			inp.val(inp.val().replace(new RegExp(" " + key + " ","i"),values));
			inp.val(inp.val().replace(new RegExp("^" + key,"i"),values));
			inp.val(inp.val().replace(new RegExp(key + "$","i"),values));
		}else{
			inp.val(inp.val().replace(new RegExp(key,"i"),values));
		}
		if(currText !== inp.val()){
			$(inp).parent().attr("class","ts warning fluid input");
		}
	});
});

$( "input" ).focusout(function() {
	var formData = new FormData();
	formData.append("aTranslate/currentfilename", curfilname);
	//$( "input" ).each(function() {
	  formData.append($(this).attr("id"), $(this).val());
	//});
	$.ajax({
	  url: 'save.php',
	  data: formData,
	  processData: false,
	  contentType: false,
	  type: 'POST',
	  success: function(data){
		console.log("Saved");
	  }
	});
	$(this).parent().attr("class","ts success fluid input");
});

function saveall(){
	var formData = new FormData();
	formData.append("aTranslate/currentfilename", curfilname);
	$("input").each(function() {
	  formData.append($(this).attr("id"), $(this).val());
	});
	$.ajax({
	  url: 'save.php',
	  data: formData,
	  processData: false,
	  contentType: false,
	  type: 'POST',
	  success: function(data){
		console.log("Saved");
		alert("SAVED!");
	  }
	});
	$("input").parent().attr("class","ts success fluid input");
}

function merge(){
	var newjson = JSON.parse($("#newjson").val());
	$.each(newjson["keys"], function(key, values) {
		if(!keyArr.includes(key)){
			var formData = new FormData();
			formData.append("aTranslate/currentfilename", curfilname);
			formData.append(key, values);
			$.ajax({
			  url: 'save.php',
			  data: formData,
			  processData: false,
			  contentType: false,
			  type: 'POST',
			  success: function(data){
				console.log("Saved");
			  }
			});
		}
	});
}
</script>
</html>